Bug 1819070 (CVE-2020-2138) - CVE-2020-2138 jenkins-cobertura-plugin: XML parser not configured to prevent XXE attack
Summary: CVE-2020-2138 jenkins-cobertura-plugin: XML parser not configured to prevent ...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-2138
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1819071
TreeView+ depends on / blocked
 
Reported: 2020-03-31 07:03 UTC by Dhananjay Arunesh
Modified: 2021-02-16 20:22 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-02 13:20:20 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2020-03-31 07:03:34 UTC
A vulnerability was found in Jenkins Cobertura Plugin 1.15 and earlier does not configure its XML parser to prevent XML external entity (XXE) attacks.

Reference:
http://www.openwall.com/lists/oss-security/2020/03/09/1

Comment 1 Dhananjay Arunesh 2020-03-31 07:04:33 UTC
External References:

https://jenkins.io/security/advisory/2020-03-09/#SECURITY-1700


Note You need to log in before you can comment on or make changes to this bug.